commit:     a217ed25f690d9d4ed7b492df1d0d4205830fa3f
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Wed Nov 13 18:16:02 2019 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Wed Nov 13 18:16:02 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a217ed25

sci-biology/bamtools: Remove USE="static-libs"

Package-Manager: Portage-2.3.78, Repoman-2.3.17
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 sci-biology/bamtools/bamtools-2.5.1.ebuild | 33 +++---------------------------
 sci-biology/bamtools/bamtools-9999.ebuild  | 33 +++---------------------------
 2 files changed, 6 insertions(+), 60 deletions(-)

diff --git a/sci-biology/bamtools/bamtools-2.5.1.ebuild 
b/sci-biology/bamtools/bamtools-2.5.1.ebuild
index 84c9dc83723..b5affe9f0fa 100644
--- a/sci-biology/bamtools/bamtools-2.5.1.ebuild
+++ b/sci-biology/bamtools/bamtools-2.5.1.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2018 Gentoo Authors
+# Copyright 1999-2019 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
 
-inherit cmake-utils multibuild
+inherit cmake-utils
 
 DESCRIPTION="A programmer's API and an end-user's toolkit for handling BAM 
files"
 HOMEPAGE="https://github.com/pezmaster31/bamtools";
@@ -18,7 +18,6 @@ fi
 
 LICENSE="MIT"
 SLOT="0/${PV}" # no stable ABI yet
-IUSE="static-libs"
 
 RDEPEND="
        >=dev-libs/jsoncpp-1.8.0:=
@@ -26,35 +25,9 @@ RDEPEND="
 DEPEND="${RDEPEND}"
 BDEPEND="virtual/pkgconfig"
 
-pkg_setup() {
-       [[ ${MERGE_TYPE} != binary ]] &&
-               MULTIBUILD_VARIANTS=(
-                       $(usev static-libs)
-                       shared
-               )
-}
-
 src_prepare() {
        # delete bundled libs, just to be safe
-       rm -r src/third_party/{gtest-1.6.0,jsoncpp} || die
+       rm -rf src/third_party/{gtest-1.6.0,jsoncpp} || die
 
        cmake-utils_src_prepare
 }
-
-src_configure() {
-       my_configure() {
-               [[ ${MULTIBUILD_ID} == static-libs* ]] &&
-                       local mycmakeargs=( -DBUILD_SHARED_LIBS=OFF )
-
-               cmake-utils_src_configure
-       }
-       multibuild_foreach_variant my_configure
-}
-
-src_compile() {
-       multibuild_foreach_variant cmake-utils_src_compile
-}
-
-src_install() {
-       multibuild_foreach_variant cmake-utils_src_install
-}

diff --git a/sci-biology/bamtools/bamtools-9999.ebuild 
b/sci-biology/bamtools/bamtools-9999.ebuild
index 84c9dc83723..b5affe9f0fa 100644
--- a/sci-biology/bamtools/bamtools-9999.ebuild
+++ b/sci-biology/bamtools/bamtools-9999.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2018 Gentoo Authors
+# Copyright 1999-2019 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
 
-inherit cmake-utils multibuild
+inherit cmake-utils
 
 DESCRIPTION="A programmer's API and an end-user's toolkit for handling BAM 
files"
 HOMEPAGE="https://github.com/pezmaster31/bamtools";
@@ -18,7 +18,6 @@ fi
 
 LICENSE="MIT"
 SLOT="0/${PV}" # no stable ABI yet
-IUSE="static-libs"
 
 RDEPEND="
        >=dev-libs/jsoncpp-1.8.0:=
@@ -26,35 +25,9 @@ RDEPEND="
 DEPEND="${RDEPEND}"
 BDEPEND="virtual/pkgconfig"
 
-pkg_setup() {
-       [[ ${MERGE_TYPE} != binary ]] &&
-               MULTIBUILD_VARIANTS=(
-                       $(usev static-libs)
-                       shared
-               )
-}
-
 src_prepare() {
        # delete bundled libs, just to be safe
-       rm -r src/third_party/{gtest-1.6.0,jsoncpp} || die
+       rm -rf src/third_party/{gtest-1.6.0,jsoncpp} || die
 
        cmake-utils_src_prepare
 }
-
-src_configure() {
-       my_configure() {
-               [[ ${MULTIBUILD_ID} == static-libs* ]] &&
-                       local mycmakeargs=( -DBUILD_SHARED_LIBS=OFF )
-
-               cmake-utils_src_configure
-       }
-       multibuild_foreach_variant my_configure
-}
-
-src_compile() {
-       multibuild_foreach_variant cmake-utils_src_compile
-}
-
-src_install() {
-       multibuild_foreach_variant cmake-utils_src_install
-}

Reply via email to